use crate::graph::Graph;

mod graph;

fn main() {
    let mut graph = Graph::new(true);
    let data = "5 14 \
                1 2 \
                1 5 \
                2 1 \
                2 5 \
                2 3 \
                2 4 \
                3 2 \
                3 4 \
                4 2 \
                4 5 \
                4 3 \
                5 4 \
                5 1 \
                5 2";
    graph.read_graph(data.to_string());
    graph.print_graph();

    println!("running bfs");
    graph.bfs(1);
    println!("running dfs");
    graph.dfs(1);
}
